#import <objc/objc.h>
#import <objc/HashTable.h>

#import <sys/types.h>
#import <sys/stat.h>

@interface FaceFileCache : Object
{
	char *directory;
	HashTable *hashTable;
	struct stat dirstat;
}

- initWithDirectory:(const char *)aDirectory;

// Access methods.
- (const char *)directory;
- (BOOL)setDirectory:(const char *)aDirectory;


- (const char *)filenameForLogin:(const char *)login;

// Support methods.
- (BOOL)shouldLoad;
- (BOOL)load;

@end // FaceFileCache
